# ApplicationFramework
TKShapeSchema
ShapeSchema

# ShapeSchema_PGeom_SurfaceOfRevolution Class Reference

`#include <ShapeSchema_PGeom_SurfaceOfRevolution.hxx>`

## Public Member Functions

| ShapeSchema_PGeom_SurfaceOfRevolution ()
Standard_EXPORT Handle_Standard_Persistent | New () const
Standard_EXPORT void | Add (const Handle(Standard_Persistent)&, const Handle(Storage_Schema)&) const
Standard_EXPORT void | Write (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&) const
Standard_EXPORT void | Read (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&) const
| ~ShapeSchema_PGeom_SurfaceOfRevolution ()
Standard_EXPORT Standard_Boolean | IsKind (const Handle(Standard_Type)&AType) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const Handle(PGeom_SurfaceOfRevolution)&, const Handle(Storage_Schema)&)
static Standard_EXPORT void | SWrite (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&)
static Standard_EXPORT void | SRead (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&)

## Constructor & Destructor Documentation

ShapeSchema_PGeom_SurfaceOfRevolution::ShapeSchema_PGeom_SurfaceOfRevolution | ( |  | ) | `[inline]`

ShapeSchema_PGeom_SurfaceOfRevolution::~ShapeSchema_PGeom_SurfaceOfRevolution | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void ShapeSchema_PGeom_SurfaceOfRevolution::Add | ( | const Handle(Standard_Persistent)& | ,
|  | const Handle(Storage_Schema)& |
| ) | const

Standard_EXPORT const ShapeSchema_PGeom_SurfaceOfRevolution::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean ShapeSchema_PGeom_SurfaceOfRevolution::IsKind | ( | const Handle(Standard_Type)& | AType | ) | const

Standard_EXPORT Handle_Standard_Persistent ShapeSchema_PGeom_SurfaceOfRevolution::New | ( |  | ) | const

Standard_EXPORT void ShapeSchema_PGeom_SurfaceOfRevolution::Read | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | const

static Standard_EXPORT void ShapeSchema_PGeom_SurfaceOfRevolution::SAdd | ( | const Handle(PGeom_SurfaceOfRevolution)& | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PGeom_SurfaceOfRevolution::SRead | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PGeom_SurfaceOfRevolution::SWrite | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

Standard_EXPORT void ShapeSchema_PGeom_SurfaceOfRevolution::Write | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | const

The documentation for this class was generated from the following file:

- ShapeSchema_PGeom_SurfaceOfRevolution.hxx